Subject: RE: IPP> Re: Unsigned integer count for attribute name keywordsan dattribute values

From: Paul Moore <[email-masked]>
Date: Wed, 21 May 1997 10:46:52 -0700

The length ot the attribute name is 2 bytes.

The one that I think is much more interesting - which we did not drill
into - is keyword values for attributes. I still have those as 2 byte
enumerations. I think this is the right thing to do and Tom agreed at
the meeting but there was not a lot of discusion.

Eg Operation has two values 1 (which means Validate) and 2 (meaning
printjob).
DocumentFormat uses the rfc1759 values
etc.

> -----Original Message-----
> From:	Scott Isaacson [SMTP:[email-masked]]
> Sent:	Wednesday, May 21, 1997 9:32 AM
> To:	[email-masked]; [email-masked]; Paul
> Moore
> Cc:	[email-masked]
> Subject:	IPP> Re: Unsigned integer count for attribute name
> keywordsandattribute values
> 
> 
> 
> >>> Robert Herriot <[email-masked]> 05/20 1:37 PM >>>
> 
> > Did we agree to one or two bytes for the length of attribute names?
> I
> > thought two, just in case we ever use Unicode rather than UTF-8 to
> > encode attribute names.  We wouldn't want the attributes to then be
> > limited to 127 characters.
> 
> I thought all lengths would be 2 or 4 bytes, never just 1.  I thought
> we
> limited attribute names to be the same as keywords now:  US ASCII
> characters
> 
> (a-zA-Z), digits (0-9), hyphen (-) and underscore (_).   We all know
> the
> consequences of not being able to internationalize these attribute
> names,
> but why are you suggesting maybe someday worrying about UTF-8 for
> attribute
> names?
> 
> Scott
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
>